#include "stdio.h"
#include "stdlib.h"



void apgar_enc(char *s, const char *str)
{
	const char *x = s;
	static const char *u = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789./";

	for(int i = 0; i < 8; i++)
	{
		char a = str[i];
		int index = ((a & 1 ? a << (a & 1) & str[8-i] : a ^ str[8-i]) & 0x3f);

		*(s++) = u[index];
	}
	*s = 0;
}

int main()
{
	getchar();
	return 0;	
}
